%global realname p1_pgsql
%global upstream processone
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:       erlang-%{realname}
Version:    1.1.3
Release:    1%{?dist}

License:    ERPL
Summary:    Pure Erlang PostgreSQL driver
URL:        https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:        scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:    https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz

Provides:   erlang-pgsql = %{version}-%{release}
Obsoletes:  erlang-pgsql < 0-16

BuildRequires: erlang-rebar


%description
Pure Erlang PostgreSQL driver.


%prep
%autosetup -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license EPLICENSE
%doc README.md
%{erlang_appdir}/


%changelog
* Mon Jul 31 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.3-1
- Update to 1.1.3 (#1459720).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 16 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.2-2
- Drop the backport API patch, as users have had a year to switch.

* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.2-1
- Update to 1.1.2 (#1412099).
- https://github.com/processone/p1_pgsql/blob/1.1.2/CHANGELOG.md
- Rebased backport API patch.
- Replaced some tabs with spaces.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 31 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.1-1
- Update to 1.1.1 (#1398619).

* Sat Jun  4 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-2
- Restore old API from erlang-pgsql

* Thu Feb 25 2016 Randy Barlow <rbarlow@redhat.com> - 1.1.0-1
- Update to 1.1.0.
- Add the README.md as a doc.
- Run the tests.

* Wed Feb 17 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.0-1
- Update to 1.0.0.
- Update the URL and Source0 for the new upstream repository.

* Tue Jan 05 2016 Randy Barlow <rbarlow@redhat.com> - 0-15.20150428gite72c03c6
- Obsolete erlang-pgsql, which is the same package but installed to the wrong location for ejabberd.
- Remove the noarch, which was causing this package to get installed to the wrong location.
- Add a dependency on erlang-erts.

* Tue Dec 29 2015 Randy Barlow <rbarlow@redhat.com> - 0-1.20150428gite72c03c6
- Initial release.
